BST SOURCE TRACK(1)

NAME
bst-source-track - Track new source references

SYNOPSIS
bst source track [OPTIONS] [ELEMENTS]...

DESCRIPTION
Consults the specified tracking branches for new versions available
    to build and updates the project with any newly available references.

    Specifying no elements will result in tracking the default targets
    of the project. If no default targets are configured, all project
    elements will be tracked.

    When this command is executed from a workspace directory, the default
    is to track the workspace element.

    If no default is declared, all elements in the project will be tracked

    By default this will track just the specified element, but you can also
    update a whole tree of dependencies in one go.

    Specify `--deps` to control which sources to track:

        none: No dependencies, just the specified elements
        all: All dependencies of all specified elements

OPTIONS

--except PATH
    Except certain dependencies from tracking

-d, --deps [build|run|all|none]
    The dependencies to track [default: none]

-J, --cross-junctions
    Allow crossing junction boundaries